> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.cloudraker.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.cloudraker.com/_mcp/server.

# Mint a run WebSocket ticket

POST /api/projects/{projectId}/playbook-runs/{runId}/ws-ticket

Mints a short-lived signed ticket to authenticate the run's WebSocket upgrade.

Reference: https://docs.cloudraker.com/api/raker-one-api/playbook-runs/post-projects-by-project-id-playbook-runs-by-run-id-ws-ticket

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: RakerOne API
  version: 1.0.0
paths:
  /projects/{projectId}/playbook-runs/{runId}/ws-ticket:
    post:
      operationId: post-projects-by-project-id-playbook-runs-by-run-id-ws-ticket
      summary: Mint a run WebSocket ticket
      description: >-
        Mints a short-lived signed ticket to authenticate the run's WebSocket
        upgrade.
      tags:
        - subpackage_playbookRuns
      parameters:
        - name: projectId
          in: path
          required: true
          schema:
            type: string
        - name: runId
          in: path
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: >-
            WorkOS session JWT or an organization API key, sent as
            `Authorization: Bearer <token>`.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: The signed WebSocket-upgrade ticket.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PlaybookRunWsTicket'
        '401':
          description: Unauthorized — missing or invalid bearer token.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
servers:
  - url: /api
    description: Current origin
  - url: https://app.raker.one/api
    description: Production
components:
  schemas:
    PlaybookRunWsTicket:
      type: object
      properties:
        ticket:
          type: string
          description: Opaque signed ticket; pass as `?ticket=` on the WebSocket upgrade.
        expiresAt:
          type: string
          description: ISO-8601 expiry of the ticket.
        expiresInSeconds:
          type: number
          format: double
          description: Seconds until the ticket expires.
        wsUrl:
          type: string
          description: WebSocket URL with the ticket pre-applied.
      required:
        - ticket
      description: A signed WebSocket-upgrade ticket for a run.
      title: PlaybookRunWsTicket
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
          description: Machine-readable error code (e.g. `invalid_body`, `not_found`).
        issues:
          type: array
          items:
            description: Any type
          description: Schema-validation issues, present when `error` is `invalid_body`.
      required:
        - error
      description: Standard API error response.
      title: ErrorResponse
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        WorkOS session JWT or an organization API key, sent as `Authorization:
        Bearer <token>`.

```

## Examples



**Request**

```json
{}
```

**Response**

```json
{
  "ticket": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJyb3VuSWQiOiI1ZjY3Y2Q4MC1hY2YxLTQ3NzktYmYxMy1kYjYxYjYzYjYxYjYiLCJleHAiOjE2ODk0MjQ4MDB9.4f7X9vJ9Xq3vZx7v9vX9vJ9Xq3vZx7v9vX9vJ9Xq3vZx7v9vX9vJ9Xq3vZx7v9v",
  "expiresAt": "2024-06-15T12:00:00Z",
  "expiresInSeconds": 300,
  "wsUrl": "wss://app.raker.one/api/projects/123e4567-e89b-12d3-a456-426614174000/playbook-runs/5f67cd80-acf1-4779-bf13-db61b63b61b6/ws?ticket=eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJyb3VuSWQiOiI1ZjY3Y2Q4MC1hY2YxLTQ3NzktYmYxMy1kYjYxYjYzYjYxYjYiLCJleHAiOjE2ODk0MjQ4MDB9.4f7X9vJ9Xq3vZx7v9vX9vJ9Xq3vZx7v9vX9vJ9Xq3vZx7v9vX9vJ9Xq3vZx7v9v"
}
```

**SDK Code**

```python
import requests

url = "https://api/projects/projectId/playbook-runs/runId/ws-ticket"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api/projects/projectId/playbook-runs/runId/ws-ticket';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api/projects/projectId/playbook-runs/runId/ws-ticket"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api/projects/projectId/playbook-runs/runId/ws-ticket")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api/projects/projectId/playbook-runs/runId/ws-ticket")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api/projects/projectId/playbook-runs/runId/ws-ticket', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api/projects/projectId/playbook-runs/runId/ws-ticket");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api/projects/projectId/playbook-runs/runId/ws-ticket")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```